curl "https://api.scanova.io/qr-assets/eye-pattern/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 7,
"name": "Rounded Diamond",
"svg": "https://cdn.scanova.io/upload/eye-patterns/7.svg",
"inner_eye_color": "#000000",
"outer_eye_color": "#333333"
}
]
}
أصول QR
سرد أنماط العين المخصصة
GET /qr-assets/eye-pattern/
GET
/
qr-assets
/
eye-pattern
/
curl "https://api.scanova.io/qr-assets/eye-pattern/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 7,
"name": "Rounded Diamond",
"svg": "https://cdn.scanova.io/upload/eye-patterns/7.svg",
"inner_eye_color": "#000000",
"outer_eye_color": "#333333"
}
]
}
يسرد أنماط عين QR المخصصة الخاصة بهذا الحساب، على مضيف Management API (
يُعاد
api.scanova.io)، مع المصادقة باستخدام مفتاح Management API الخام الخاص بك.
GET https://api.scanova.io/qr-assets/eye-pattern/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
يتطلب حصة الخطة
CUSTOM_EYE_PATTERN. للسرد فقط — لا توجد نقطة نهاية لإنشاء أو تحديث أو حذف أنماط العين في Management API؛ تُرفع أنماط العين المخصصة عبر لوحة التحكم.curl "https://api.scanova.io/qr-assets/eye-pattern/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a"
{
"count": 1,
"next": null,
"previous": null,
"results": [
{
"id": 7,
"name": "Rounded Diamond",
"svg": "https://cdn.scanova.io/upload/eye-patterns/7.svg",
"inner_eye_color": "#000000",
"outer_eye_color": "#333333"
}
]
}
403 إذا كانت خطة الحساب لا تتضمن حصة CUSTOM_EYE_PATTERN.
ذات صلة
- سرد قوالب تصميم رموز QR — أين يُستخدم معرّف نمط العين بعد اختياره.
- نظرة عامة على Management API — مخطط المصادقة وقواعد الحصة المطبّقة على نقطة النهاية هذه.
التفويضات
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
الاستجابة
Paginated list of eye patterns.
هل كانت هذه الصفحة مفيدة؟